Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/create-grid-report

Create Rank Grid Report

This API generates a new rank grid report to analyze business rankings across specified keywords.

Behavior:

  • Evaluates business rankings in a defined geographic grid.
  • Supports multiple keywords for ranking analysis.
  • The response includes report IDs, which can be used to fetch report details.
Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Body

NameTypeRequiredDescription
locationIdstringrequiredBase64 encoded location ID
keywordsarray of stringrequiredKeywords for analysis of rank for the business (maximum 25)
businessNamestringrequiredExact name of the business in Google Maps
businessStreetstringrequiredStreet address of the business
businessCitystringrequiredCity of the business
businessStatestringrequiredState of the business
businessCountrystringrequiredCountry of the business
latitudenumberrequiredLatitude coordinate of the business
longitudenumberrequiredLongitude coordinate of the business
distancenumberrequiredGrid Distance
distanceUnitstringrequiredDistance unit (mi for Miles, km for Kilometers)
mikm
gridSizeintegerrequiredSize of the grid for analysis
357

Request

Request
curl -X POST 'https://api.synup.com/api/v4/create-grid-report' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "TG9jYXRpb246OTI2MDMw",
  "keywords": [
    "grill"
  ],
  "gridSize": 3,
  "distanceUnit": "mi",
  "latitude": "33.8937913",
  "longitude": "35.5017767",
  "distance": 2.5,
  "businessName": "The Grill",
  "businessStreet": "1418 Professor Wafic Sinno Avenue, Beirut, LB",
  "businessCity": "Beirut",
  "businessState": "",
  "businessCountry": "Lebanon"
}'

Responses

StatusDescription
200Grid rank report created successfully
400Bad Request - Invalid input parameters
401Unauthorized - Valid API key required
403Forbidden - Insufficient permissions
Example response
{
  "data": {
    "createGridrankReport": {
      "data": {
        "reportIds": [
          "79a2773e-17ab-4209-b8d2-8261478f655f"
        ]
      },
      "errors": null
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectoptional
data.createGridrankReportobjectoptional
data.createGridrankReport.dataobjectoptional
data.createGridrankReport.data.reportIdsarray of stringoptionalArray of created report IDs
data.createGridrankReport.errorsstringoptionalError message if request failed